@echo off
echo off
cls
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **         GraphicsENGINE Graphics Accelerator                                  **
rem  **                     and                                              **
rem  **            Intergraph's Microstation PC                              **
rem  **                                                                      **
rem  **************************************************************************
echo ACTIX Systems, Inc.
echo Device Driver Install Disk
echo for Microstation PC
echo .
rem
rem first, make certain we're not logged onto the A drive
rem
if NOT EXIST install.bat goto Continue
if EXIST \DGN goto Continue
rem
rem since we are, lets go to the C: drive
rem
c:
cd \
echo Searching for Microstation on C: drive.
goto ins_ust3
:Continue
echo Searching for Microstation on the default drive.
cd \
:ins_ust3
if EXIST %id%%ip%install.sta del %id%%ip%install.sta
if NOT EXIST \ustation\mgds.exe goto ins_ust4
echo MicroStation found.
echo please wait while files are coping...
cd \ustation\drivers
copy %id%%ip%mgls3.exe mgls3.exe > %id%%ip%install.sta
echo .
copy %id%%ip%mgls3.mgl mgls3.mgl > %id%%ip%install.sta
echo .
cd \ustation
copy %id%%ip%remove.exe remove.exe > %id%%ip%install.sta
echo .
echo Please configure Microstation for "ACTIX GraphicsENGINE"
pause
usconfig
echo MicroStation 3.xx driver installation completed.
:ins_ust4
if NOT EXIST \ustn40\mgds.exe goto All_Done
echo MicroStation PC 4.0 [beta version] found.
echo please wait while files are coping...
cd \ustn40\drivers
copy %id%%ip%mgls3.exe mgls3.exe > %id%%ip%install.sta
echo .
copy %id%%ip%mgls3.mgl mgls3.mgl > %id%%ip%install.sta
echo .
cd ..
copy %id%%ip%remove.exe remove.exe > %id%%ip%install.sta
echo .
echo Please configure Microstation 4.0 for "ACTIX GraphicsENGINE"
pause
usconfig
echo MicroStation 4.0 driver installation completed.
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive %id%.
echo   *   The install disk cannot be write protected.
echo   *   The CURRENT drive must contain MicroStation PC.
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in the manual. (%id%%ip%README.DOC)
goto end
:All_Done
rem
rem Here we will tell the user that installation is completed.
rem Alex Jen
if NOT EXIST %id%%ip%install.sta goto USAGE
del %id%%ip%install.sta
echo ACTIX GraphicsENGINE driver installation is now completed!
:end
pause
